# matrixmailer
This project has come to finally end email notifications for system administrators!

## Configuration
Have a look at the simple and the more advanced configuration file, it should be self-explanatory and easy.
The (absolute) path to your configuration file must be supplied as command line argument when starting the program.
Config files may be changed by the program, e.g. to save access tokens. However, they are rotated so you always have access to the previous 9 versions of the file.

## How to use
Just invite the bot accounts to the rooms they should post in, and enter the room IDs of those rooms in the config file. They will join when the first email arrives.
**Hint:** Encryption works flawlessly when the bot account has logged in once before, there can be minor issues otherwise. You can just do a dry run of matrixmailer with the clients already specified in the configuration file to do that.

## How it works
matrixmailer spins up a minimalistic SMTP server which receives any email (except you use the whitelisting feature, see sample configs),

## Contributing
Feel free to join #matrixmailer:a-0.me to ask questions and discuss, or even to just leave feedback!

You can build the code using cargo, as usual. Make sure to install `openssl`, `openssl-devel` and `cmake` packages (naming may be different on your Linux distro), they are required to build the matrix-rust-sdk.